Skip to content

Report a broker post for inappropriate content

POST
/broker/posts/{id}/report
curl --request POST \
--url https://api.ethos.network/api/v2/broker/posts/1/report \
--header 'Content-Type: application/json' \
--header 'X-Ethos-Api-Key: <X-Ethos-Api-Key>' \
--data '{ "reason": "SPAM", "description": "example" }'

Report a broker post for spam, inappropriate content, fraud, harassment, or other issues. Requires authentication.

id
required
integer
> 0 <= 2147483647
Media typeapplication/json
object
reason
required
string
Allowed values: SPAM INAPPROPRIATE_CONTENT FRAUD HARASSMENT OTHER
description
string
>= 1 characters <= 2000 characters

Successful response

Media typeapplication/json
object
success
required
boolean
message
required
string

Example generated

{
"success": true,
"message": "example"
}

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Authorization not provided

Media typeapplication/json
Authorization not provided error (401)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}

Insufficient access

Media typeapplication/json
Insufficient access error (403)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}